Versões Gold Standard

Encontre nesta página as notas de versão e a matriz de compatibilidade para versões Gold Standard.

Notas de versão Gold Standard

Gold Standard versão 12

7 de setembro de 2021

A build 9032@554dbcd inclui a seguinte correção:

  • Correção de um problema que resultava em um erro 500 ao abrir o link para um aplicativo web em uma entrega de linha com rastreamento ativado.

27 de agosto de 2021

A build 9032@99a3894 inclui as seguintes correções:

  • O recurso de assinatura de rastreamento foi aprimorado para evitar erros vinculados à forma como as ferramentas de terceiros (clientes de email, navegadores de Internet etc.) lidam com caracteres especiais. Os parâmetros de URL agora são codificados.
  • Correção de um problema com seletores de data que poderia resultar na exibição de uma mensagem de erro de bloqueador por parte de um console. (NEO-36345)

Gold Standard versão 11

14 de abril de 2021

A compilação 9032@d030c36 inclui a seguinte correção:

  • Correção de uma regressão do console do cliente que causava mensagens de erro persistentes na tela de conexão IMS. (NEO-34821)
  • Esta build de console é necessária para manter o acesso ao IMS.

Somente a atualização do console é obrigatória. Não é necessária nenhuma atualização do servidor.

ATENÇÃO
  • Se você estiver se conectando ao Campaign com sua Adobe ID, por meio do Adobe Identity Management Service (IMS), a atualização é obrigatória para o servidor do Campaign e o console do cliente poderem se conectar ao Campaign depois de 30 de junho de 2021. Saiba mais
  • Esta versão vem com uma correção de segurança: a atualização é obrigatória para reforçar a segurança do ambiente.
  • Se você estiver usando a integração do Experience Cloud Triggers por meio da autenticação oAuth, será necessário migrar para o Adobe I/O de acordo com as instruções nesta página. O modo de autenticação oAuth herdado do Campaign foi removido em setembro de 2021. Os ambientes hospedados se beneficiarão de uma extensão até 23 de fevereiro de 2022. Como cliente no local ou híbrido, entre em contato com o Atendimento ao cliente da Adobe para estender o suporte até fevereiro de 2022. Você deve fornecer o AppID do aplicativo OAuth para a Adobe.

Saiba mais na seção Gold Standard

2 de março de 2021

A compilação 9032@10c2709 inclui a seguinte correção:

  • Correção de uma regressão que impedia o uso de alguns componentes do console, como o seletor de datas e o gerenciamento de imagens nos deliveries. (NEO-31453, NEO-31454)

Somente a atualização do console é obrigatória. Não é necessária nenhuma atualização do servidor.

OBSERVAÇÃO

Conecte-se à Distribuição de software da Adobe para baixar a nova versão. Saiba como propor a atualização do console para todos os usuários finais nesta página.

22 de dezembro de 2020

O build 9032@d3b452f inclui os seguintes aprimoramentos e correções:

  • O protocolo de conexão foi atualizado para seguir o novo mecanismo de autenticação IMS.

  • A autenticação da integração do Triggers, originalmente baseada na configuração da autenticação oAuth para acessar o pipeline, agora foi alterada e movida para o Adobe I/O. Saiba mais

  • Após o fim do suporte para o protocolo binário herdado APNs do iOS, todas as instâncias que usam esse protocolo serão atualizadas para o protocolo HTTP/2 após a atualização.

  • Correção de um problema de segurança para reforçar a proteção contra situações de SSRF (Server Side Request Forgery). (NEO-27777)

  • Correção de um problema que resultava em falha em fluxos de trabalho ao executar uma atividade de Enriquecimento. (NEO-17338)

Gold Standard versão 10

7 de julho de 2020

A compilação 9032@efd8a94 inclui a seguinte correção:

Correção de um problema que impedia o funcionamento do rastreamento quando o recurso de assinatura era desativado. (NEO-26411)

ATENÇÃO

Recomendamos que você atualize o console do cliente com o disponível nesta versão. Consulte esta página

Gold Standard versão 9

22 de junho de 2020

A build 9032@800be2e inclui as seguintes correções:

  • O conector HTTP2 para iOS foi aprimorado (atualizações de terceiros e gerenciamento de erros). (25904, NEO-, NEO-25903, NEO-25799)

As seguintes correções estão relacionadas ao mecanismo de segurança do link de rastreamento (consulte a lista de verificação de segurança e privacidade):

  • Correção de um problema que impedia o funcionamento do rastreamento de "cliques de notificação" (notificações por push de iOS e Android). (NEO-25965)
  • Correção de um problema que poderia impedir a abertura/clique de URLs de rastreamento ao usar determinadas versões herdadas do Outlook. (NEO-25688)
  • Correção de um problema que impedia o funcionamento do rastreamento de URLs usando fragmentos em parâmetros de personalização (tags de âncora com sinal de hashtag). (NEO-25774)
  • Correção de um problema com o serviço anti-phishing. (NEO-25283)
  • Correção de um problema de rastreamento ao usar fórmulas de rastreamento personalizadas específicas. (NEO-25277)

Gold Standard versão 8

29 de abril de 2020

A build 9032@3a9dc9c inclui as seguintes correções:

  • A segurança no rastreamento de links no email foi aprimorada. Ela é ativada por padrão para todos os clientes. Um recurso de segurança adicional e aprimorado está disponível e pode ser ativado ao acessar o Atendimento ao cliente. Mais detalhes sobre o recurso e as etapas para clientes não hospedados para habilitá-lo podem ser encontrados na lista de verificação de Segurança e Privacidade.
ATENÇÃO

Se tiver problemas com notificações por push usando links de rastreamento ou delivery usando tags de âncora, recomendamos desativar o novo mecanismo de assinatura para links de rastreamento. O procedimento está detalhado nesta página

  • Correção de um problema que impedia a exibição de imagens na entrega de linha. (NEO-23207)
  • Correção de um problema com a atividade Transferência de Arquivo, que impedia que a autenticação com a chave SFTP funcionasse no Debian 9. (NEO-23183)
  • Correção de um problema que poderia afetar a notificação via push quando enviada em alta frequência. (NEO-20516)
  • Correção de um problema no gerenciamento de respostas de oferta que resulta em falhas no servidor da Web. (NEO-19482)
  • Correção de um erro no gerenciamento do LibreOffice que impede a exportação de relatórios. (NEO-20982)
  • Correção de um problema que causa um erro ao atualizar vários workflows por meio do uso de uma atividade de pesquisa.
  • Melhora do gerenciamento do LibreOffice para evitar falhas na pré-visualização de email com arquivos .odt.
  • Melhora no gerenciamento da conexão do Apache para evitar latência no serviço da Web.
  • Melhora na exibição da tag da versão (7 dígitos) no menu Sobre.
  • Correção de uma prevenção no gerenciamento de listas que impede a publicação de ofertas.
  • Correção de uma regressão que resulta em falha do workflow de limpeza.
  • Correção de uma regressão menor nos logs de workflow de limpeza.

Gold Standard versão 6

9 de março de 2020

A build 9032@19f73c5 inclui a seguinte correção:

  • Correção de um problema com a conta externa que usa o FTP sobre SSL. (NEO-20498)

Gold Standard versão 5

17 de dezembro de 2019

A build 9032@d6b8062 inclui a seguinte correção:

  • Correção de um problema de rastreamento nos seguintes canais de comunicação: dispositivos móveis (SMS, MMS), push (iOS, Android) e redes sociais (Facebook, Twitter). (NEO-19595)

Gold Standard versão 4

11 de dezembro de 2019

A build 9032@bc4a935 inclui a seguinte correção:

  • Correção de um problema de desempenho ao enviar mensagens com um banco de dados MSSQL. (NEO-17558)

Gold Standard versão 3

20 de novembro de 2019

A build 9032@3468c7b inclui as seguintes correções:

  • Correção de um problema de logon por autenticação IMS. (NEO-17312)
  • Correção de um problema ao exibir relatórios cumulativos em várias entregas. (NEO-18165)
  • Correção de um problema que poderia bloquear ou fazer o servidor web travar.

Gold Standard versão 2

19 de setembro de 2019

A build 9032@cee805c inclui as seguintes correções:

  • Correção de um problema ao usar o Conector CRM para Salesforce. (NEO-17712)
  • Correção de um problema de índice que causava problemas de desempenho ao enviar mensagens transacionais.

Versão 19.1.4 – Build 9032

13 de agosto de 2019

A build inicial 19.1.4 inclui as seguintes correções:

  • Correção de um problema em que a atividade do programador gerasse mensagens de erro indesejáveis durante a configuração do assistente. Reversão de atualização do NEO-11662. (NEO-17097)
  • Correção de uma regressão causada pelo NEO-12727, que podia interromper os fluxos de trabalho quando uma atividade de teste era executada duas vezes. (NEO-16835)
  • Correção de um problema que resultava em um código HTTP incorreto ser retornado (HTTP 200 OK em vez de HTTP 403 Forbidden) quando um token de sessão inválido ou expirado era usado em chamadas API. (NEO-16826)
  • Correção de um problema com a chave DKIM, que não era inserida em emails, causando problemas de entrega. (NEO-16804)
  • Correção de vários problemas com o agendamento de fluxos de trabalho. Os fluxos de trabalho eram agendados para serem executados uma vez por dia sem levar em consideração a configuração do programador. (NEO-16619, NEO-16426)

Matriz de compatibilidade Gold Standard

Esta seção lista todos os sistemas e componentes compatíveis com builds 19.1 do Adobe Campaign ClassicGold Standard. Os produtos e as versões que não fazem parte dessa lista não são compatíveis com esta versão do Adobe Campaign.

ATENÇÃO

Salvo indicação em contrário, todas as versões secundárias são compatíveis.

O Adobe Campaign Classic é compatível com todos os sistemas e ferramentas listados nesta página. À medida que versões específicas desses sistemas e ferramentas de terceiros atingem o fim da vida útil (EOL) com seus respectivos criadores, o Adobe Campaign não será mais compatível com essas versões, e elas serão removidas de nossa matriz de compatibilidade na versão subsequente do produto. Verifique se você está usando as versões compatíveis dos sistemas listadas na matriz de compatibilidade para evitar problemas.

Sistemas operacionais

CentOs

8.x (64 bits)

7.x (64 bits)

Debian

9 (64 bits)

8 (64 bits)

RHEL

7.x (64 bits)

Importante: se você estiver usando o RHEL, deve desativar o SELinux ou fazer com que seus arquitetos gravem regras personalizadas de SELinux para verificar se um SELinux habilitado não está causando problemas nas operações do Campaign.

Windows Server

2016

2012 R2

2012

Servidores da Web

Microsoft IIS

10.0 no Windows Server 2016

8.5 no Windows Server 2012 R2

8.0 no Windows Server 2012 - Windows 8

Apache

2.4 para RHEL7 - CentOS 7, Debian 8/9, Windows (64 bits)

2.2 para RHEL6 - CentOS 6 somente (64 bits)

Ferramentas

Java Development Kit (JDK)

8

O aplicativo foi aprovado para o Java Development Kit (JDK) desenvolvido pela Oracle e para OpenJDK.

Libre Office

6 (e versões anteriores, se incorporadas ao seu sistema)

SpamAssassin

3.4.x

Servidores RDBMS

OBSERVAÇÃO

O driver RDBMS deve corresponder à versão do servidor RDBMS.

Oracle

18c

12c

11g R2

PostgreSQL

11.x

10.x

9.6.x

9.5.x

9.4.x

Observação: você também pode usar o Amazon RDS para PostgreSQL com as versões especificadas acima.

SQL Server

2019

2017

2016

2014

2012 - SP1 e SP2

Aviso: o Microsoft SQL Server não é compatível como o banco de dados principal quando o servidor do Campaign está em execução no Linux.

DB2 UDB

9.7

Aviso: DB2 UDB não é permitido para novas instalações.

OBSERVAÇÃO

O PostgreSQL é o servidor de banco de dados padrão para ambientes hospedados.

Conectores CRM

API do conector Salesforce

API versão 37

API SFDC

API versão 21

API versão 15

Microsoft Dynamics

API Soap - no local: 2007, 2015, 2016

API Soap - online: 2015, 2016

API da Web - no local e online: 365, 2016, 2016 Atualização 1

Federated Data Access (FDA)

Amazon Redshift

 

Oracle

12c

11g

PostgreSQL

11.x

10.x

9.6.x

9.4.x

SQL Server

2019

2017

2016

2014

2012 SP1 e SP2

MySQL

5.7

Teradata

16.20

16

15.10

15.0

Netezza

7.2

Sybase

IQ 16

ASE 15.7

SAP HANA

versão 1 SPS 12

Hadoop via HiveSQL

HortonWorks HDP 2.4.X, 2.5.x, 2.6.x

HDInsight 3.4 (HDP 2.4), 3.5 (HDP 2.5), 3.6 (HDP 2.6))

Console do cliente

:warning: os seguintes sistemas operacionais e navegadores são necessários para usar o Console do cliente do Campaign.

Sistemas operacionais

Microsoft Windows Server

2016

2012

Microsoft Windows

8

10 (recomendado para instâncias em japonês)

Microsoft Internet Explorer

11

SDK móvel

Android

7.x, 8.x, 9.0

com o SDK móvel build 1.0.27.

iOS

iOS 9 – 14

com o SDK móvel build 1.0.26, compatível com as versões de 32 e 64 bits.

Navegadores

Os seguintes navegadores são compatíveis com o Campaign for Web Access.

Microsoft Edge

Versão mais recente

Mozilla Firefox

Versão mais recente

Google Chrome

Versão mais recente

Safari

Versão mais recente

Microsoft Internet Explorer

11

Nesta página